Lucene search

K
prionPRIOn knowledge basePRION:CVE-2023-26464
HistoryMar 10, 2023 - 2:15 p.m.

Code injection

2023-03-1014:15:00
PRIOn knowledge base
www.prio-n.com
11
code injection
log4j 1.x
dos
deserialization
hashmap
hashtable
vulnerability

AI Score

7.2

Confidence

High

EPSS

0.002

Percentile

58.8%

UNSUPPORTED WHEN ASSIGNED

When using the Chainsaw or SocketAppender components with Log4j 1.x on JRE less than 1.7, an attacker that manages to cause a logging entry involving a specially-crafted (ie, deeply nested)
hashmap or hashtable (depending on which logging component is in use) to be processed could exhaust the available memory in the virtual machine and achieve Denial of Service when the object is deserialized.

This issue affects Apache Log4j before 2. Affected users are recommended to update to Log4j 2.x.

NOTE: This vulnerability only affects products that are no longer supported by the maintainer.

AI Score

7.2

Confidence

High

EPSS

0.002

Percentile

58.8%